/*
 * Zorin Taskbar: A taskbar extension for the Zorin Desktop environment.
 * Copyright (C) 2019 Zorin OS Technologies Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Credits:
 * This file is based on code from the Dash to Dock extension by micheleg
 * and code from the Dash to Panel extension by Jason DeRose (as at
 * commit b6094fdaec89349cc6f3e0da887d19fdf3db1c60)
 * Some code was also adapted from the upstream Gnome Shell source code.
 */


const Me = imports.misc.extensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;
const Panel = Me.imports.panel;
const Overview = Me.imports.overview;

let panelWrapper;
let overview;
let settings;

function init() {
}

function enable() {
    settings = Convenience.getSettings('org.gnome.shell.extensions.zorin-taskbar');  
    panelWrapper = new Panel.zorinTaskbarPanelWrapper(settings);
    panelWrapper.enable();
    overview = new Overview.zorinTaskbarOverview(settings);
    overview.enable(panelWrapper);
}

function disable() {
    overview.disable();
    panelWrapper.disable();
    settings.run_dispose();

    settings = null;
    overview = null;
    panelWrapper = null;
}
